<template>
    <div class="container">
        <h1>Test Add data</h1>
        <form action="/users">
            <div class="form-group">
                <label>name</label>
                <input type="text" v-model="name" class="form-control">
            </div>
            <div class="form-group">
                <label>city</label>
                <input type="text" v-model="city" class="form-control">
            </div>
            <div class="form-group">
                <button v-on:click="updateData()" class="btn-success btn">Save</button>
            </div>
        </form>
    </div>
</template>

<script>
    export default {
        props: ['id'],
        data() {
            return {
                name: '',
                city: ''
            }
        },
        mounted() {
            axios.get('/api/users/' + this.id).then(response => {
                var user = response.data;
                this.name = user.name;
                this.city = user.city;
            })
        }, methods: {
            updateData() {
                axios.put('/api/users/'+this.id, {
                    name:this.name,
                    city:this.city,
                })
            }
        }
    }
</script>

<style scoped>

</style>
